OGRE: Ogre::PropertyDef Class Reference - OGRE Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::PropertyDef Class Reference
[Property]

Definition of a property of an object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyDef:
[legend]

List of all members.

## Public Member Functions
| PropertyDef (const String &name, const String &desc, PropertyType pType)
const String & | getName () const
| Get the name of the property.
const String & | getDescription () const
| Get the description of the property.
PropertyType | getType () const
| Get the type of the property.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Member Functions
static const String & | getTypeName (PropertyType theType)
| Get a string name of a property type.
static PropertyType | getTypeForValue (const short &val)
static PropertyType | getTypeForValue (const unsigned short &val)
static PropertyType | getTypeForValue (const int &val)
static PropertyType | getTypeForValue (const unsigned int &val)
static PropertyType | getTypeForValue (const long &val)
static PropertyType | getTypeForValue (const unsigned long &val)
static PropertyType | getTypeForValue (const Real &val)
static PropertyType | getTypeForValue (const String &val)
static PropertyType | getTypeForValue (const Vector2 &val)
static PropertyType | getTypeForValue (const Vector3 &val)
static PropertyType | getTypeForValue (const Vector4 &val)
static PropertyType | getTypeForValue (const ColourValue &val)
static PropertyType | getTypeForValue (const bool &val)
static PropertyType | getTypeForValue (const Quaternion &val)
static PropertyType | getTypeForValue (const Matrix3 &val)
static PropertyType | getTypeForValue (const Matrix4 &val)
## Protected Member Functions
| PropertyDef ()
## Protected Attributes
String | mName
String | mDesc
PropertyType | mType

## Detailed Description

Definition of a property of an object.

Remarks:
  This definition is shared between all instances of an object and therefore has no value. Property contains values.

Definition at line 137 of file OgreProperty.h.

## Constructor & Destructor Documentation

Ogre::PropertyDef::PropertyDef | ( | const String & | name,
|  | const String & | desc,
|  | PropertyType | pType |
| ) |  |  |

Definition at line 146 of file OgreProperty.h.

Ogre::PropertyDef::PropertyDef | ( |  | ) | `[protected]`

Definition at line 180 of file OgreProperty.h.

## Member Function Documentation

const String& Ogre::PropertyDef::getDescription | ( |  | ) | const

Get the description of the property.

Definition at line 153 of file OgreProperty.h.

const String& Ogre::PropertyDef::getName | ( | void |  | ) | const

Get the name of the property.

Definition at line 150 of file OgreProperty.h.

PropertyType Ogre::PropertyDef::getType | ( | void |  | ) | const

Get the type of the property.

Definition at line 156 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned int & | val | ) | `[static]`

Definition at line 164 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const ColourValue & | val | ) | `[static]`

Definition at line 172 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const bool & | val | ) | `[static]`

Definition at line 173 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const long & | val | ) | `[static]`

Definition at line 165 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Quaternion & | val | ) | `[static]`

Definition at line 174 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix3 & | val | ) | `[static]`

Definition at line 175 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const short & | val | ) | `[static]`

Definition at line 161 of file OgreProperty.h.

Referenced by Ogre::PropertySet::getValue(), and Ogre::PropertySet::setValue().

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned long & | val | ) | `[static]`

Definition at line 166 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix4 & | val | ) | `[static]`

Definition at line 176 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Real & | val | ) | `[static]`

Definition at line 167 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned short & | val | ) | `[static]`

Definition at line 162 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const String & | val | ) | `[static]`

Definition at line 168 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector2 & | val | ) | `[static]`

Definition at line 169 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector4 & | val | ) | `[static]`

Definition at line 171 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const int & | val | ) | `[static]`

Definition at line 163 of file OgreProperty.h.

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector3 & | val | ) | `[static]`

Definition at line 170 of file OgreProperty.h.

static const String& Ogre::PropertyDef::getTypeName | ( | PropertyType | theType | ) | `[static]`

Get a string name of a property type.

Referenced by Ogre::PropertySet::getPropertyImpl(), and Ogre::PropertySet::setPropertyImpl().

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

String Ogre::PropertyDef::mDesc`[protected]`

Definition at line 183 of file OgreProperty.h.

String Ogre::PropertyDef::mName`[protected]`

Definition at line 182 of file OgreProperty.h.

PropertyType Ogre::PropertyDef::mType`[protected]`

Definition at line 184 of file OgreProperty.h.

The documentation for this class was generated from the following file:

- OgreProperty.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04